﻿using System;
using Presenter;
using UnityEngine;
using Animator = FramedAnimator.Animator;

namespace View.Scene {
	public class GrowParticle : MonoBehaviour {
		[SerializeField] private Animator animator;

		private void Start() {
			animator.OnAnimationEnd += _ => Destroy(gameObject);
			animator.PlayUntil(1f);
		}
	}
}